Bug 802831 - Request For Enhancement (RFE): Add the possibility to define Virtual Switches in RHEV
Request For Enhancement (RFE): Add the possibility to define Virtual Switches...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Einav Cohen
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 11:23 EDT by Erik Raaijmakers
Modified: 2016-01-28 16:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-16 01:57:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Raaijmakers 2012-03-13 11:23:02 EDT
Description of problem:

We are evaluating RHEV3.0 to see if it is a good candidate for setting up a Cloud Infrastructure for our Test Environment. The test objects we have, are products which normally are installed on scale-able clusters of physical nodes. To save money on hardware for testing purpose, we transformed those nodes into virtual machines running as a cluster on one single host. 

VMware ESXi is currently used as hypervisor, which provides "Virtual Switches" for setting up the networking within that virtual cluster. In VMware they know as well in vCenter the concept of "Virtual Distributed Switches", where virtual switches can be defined among several ESXi hosts, for internal network connectivity between virtual machines running on different hosts (for this an extra physical NIC is needed on every involved host). I guess that the logical networks which can be defined in RHEV offer something similar... 

We want to migrate towards the flexibility offered by a cloud infrastructure. The evaluation of RHEV + RHEVM 3.0 gives a very good first impression. However the prerequisite for us is to have the possibility to define internal networking between the virtual machines within the host. So we simply need Virtual Switches, and we cannot start using RHEV (yet) without them...


Version-Release number of selected component (if applicable):

RedHat Enterprise Virtualization 3.0 (Hypervisor + RHEVM)


How reproducible:

Non applicable as this is a RFE.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Itamar Heim 2012-03-13 16:36:46 EDT
ovirt engine doesn't support "private networks" right now.
have you looked at custom hooks as a temporary solution?
custom hooks let you change the guest, including mapping networks to it.
(for example, there is an isolated private vlan sample of a cusotm hook:
http://gerrit.ovirt.org/gitweb?p=vdsm.git;a=tree;f=vdsm_hooks;
this sample is for no traffic to other guests, but if this is relevant can be looked at.
)
Comment 3 Itamar Heim 2012-12-16 01:57:15 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.